Subject: [TR] Filter position oil

From: John Macartney <[email-masked]>
Date: Thu, 24 Apr 2025 17:04:04 +0100

Dave,

I had a similar problem on my injected engine with the Lucas system. I tried a variety of different size filters and my problem was the fuel metering unit being in the way as it was driven off the distributor shaft. In the end I used a fairly stubby filter positioned at about 9 o’clock and everything was fine. As long as you ensure you use a filter with an anti drain valve, it’ll stay full when the engine isn’t running and none of the ‘death rattle’ on a cold start. At least it worked for me without issues but I’m sure you’ll get plenty of ‘variable’ advice :)

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]